aboutsummaryrefslogtreecommitdiff
path: root/ci/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/run_tests.sh')
-rwxr-xr-xci/run_tests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
new file mode 100755
index 0000000..9767c9a
--- /dev/null
+++ b/ci/run_tests.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -ex
+
+cd fpm
+fpm build
+fpm run
+fpm run --args build
+cd ../test/example_packages/hello_world
+../../../fpm/fpm build